Exception.hpp File Reference
`#include <string>`
`#include <cerrno>`
`#include <ui-utilcpp/Text.hpp>`
Include dependency graph for Exception.hpp:
This graph shows which files directly or indirectly include this file:

## Data Structures

class | UI::Exception
| Generic exception class for namespace UI. More...
class | UI::CodeException< Code >
| Adding code facility to Exception. More...

## Namespaces

namespace | UI
| Namespace for any Schlund+Partner C++ code.
namespace | UI::Util
| Namespace for ui-utilcpp.

## Macros

#define | UI_SOURCEDEBUG __FILE__ + std::string(":") + UI::Util::tos(__LINE__)
Throw macro shortcuts with automatic debug info and optimized errno handling.
#define | UI_THROW(desc) throw Exception(desc, UI_SOURCEDEBUG)
| Throw non-code exception.
#define | UI_THROW_ERRNO(call) { int const myErrno(errno); throw Exception(call + Exception::Errno_, UI_SOURCEDEBUG, myErrno); }
| Throw non-code exception w/ errno handling.
#define | UI_THROW_CODE(code, desc) throw Exception(code, desc, UI_SOURCEDEBUG)
| Throw code exception.
#define | UI_THROW_CODE_ERRNO(code, call) { int const myErrno(errno); throw Exception(code, call + Exception::Errno_, UI_SOURCEDEBUG, myErrno); }
| Throw code exception w/ errno handling.